<div class="tab-content">
    <div class="panel">
        <select name="change-warehouse" class="change-warehouse">
            {foreach $warehouses item=warehouse}
                <option {if $warehouse.id==$warehouseId} selected="selected" {/if} value="{$warehouse.id}">{$warehouse.name}</option>
            {/foreach}
        </select>
    </div>

        <form method="POST" action="{$printlabelsurl}" target="_blank">
            <button type="button" value="" class="veni-print-labels">{l s='Print labels'}</button>
        </form>

    {foreach from=$manifests item=manifest}

    <div class="manifest-wrapper">
        <b>{$manifest.manifest.manifest_date}</b> - {$manifest.manifest.manifest_no}<br />
        <form action="{$printmanifesturl}" target="_blank" method="POST">
            <input type="hidden" name="manifest_no" value="{$manifest.manifest.manifest_no}" />
            <button class="veni-print-manifest">{l s='Print manifest'}</button>
        </form>
    <div class="bootstrap">
        <div class="table-responsive-row clearfix">
        <table class="table order">
            <thead>
                <tr>
                    <th></th><th>{l s='Reference'}</th><th>{l s='Packs no.'}</th><th>{l s='Country'}</th><th>{l s='Amount'}</th><th>{l s='Payment'}</th>
                </tr>
            </thead>
        {foreach $manifest.orders item=order}
        <tr>
            <td><input type="checkbox" class="veni-order-id" value="{$order.order_id}" /></td>
            <td>{$order.reference}</td>
            <td>{$order.packscount}</td>
            <td>{$order.countryname}</td>
            <td><span class="badge badge-success">{$order.total_paid_tax_incl}</span></td>
            <td>{$order.payment}</td>
        </tr>

        {/foreach}
        </table>
        </div>
    </div>
    </div>
    {/foreach}

    <div class="pager bootstrap">
        <nav>
            <ul class="pagination">
            {foreach $pages item=p}
            <li {if $page==$p.text}class="active"{/if}><a href="{$p.url}">{$p.text}</a></li>
            {/foreach}
            </ul>
        </nav>
    </div>
</div>

<script type="text/javascript">
$(document).ready(function() {

    $(".veni-print-labels").click(function(){
        //collect selected checkboxes
        var selected = $(this).closest('.tab-content').find(".veni-order-id:checked").map(function() {
            return this.value;
        }).get();
        //append them to this button's form
        //and send form
        if(selected.length==0){ alert('{l s="No orders selected."}'); return false; }
        //remove old
        var callerBtn = $(this);
        callerBtn.closest('form').find('input[type="hidden"]').remove();
        $.each(selected, function(index,value){
            callerBtn.closest('form').append('<input type="hidden" name="order_ids[]" value="'+value+'" />');
        });
        callerBtn.closest('form').submit();
        return false;

    });

    $(".change-warehouse").change(function(e){
        window.location.href = '{$baseUrl}&warehouse_id='+$(this).val();
    });
    });
    </script>